cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.delete_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.tasks().deleteTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.DeleteTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().DeleteTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Tasks
Delete a checklist item
Deletes one checklist item from a task; the response has no body.
DELETE
/
tasks
/
{task_id}
/
checklist
/
{task_checklist_uuid}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b/checklist/3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.delete_task_checklist_by_uuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.tasks().deleteTaskChecklistByUuid(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.DeleteTaskChecklistByUuidAsync(
"wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b",
"3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.deleteTaskChecklistByUuid(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
'3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().DeleteTaskChecklistByUUID(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", "3f1c2b4a-5d6e-4f70-8a9b-0c1d2e3f4a5b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Deletes the checklist item with this
id from the task. A successful delete returns 204 with no body. An item whose status is COMPLETED cannot be deleted and returns 409.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The task's id, which starts with wt_.
The checklist item's id.
Response
The checklist item is deleted. No body.